<?php
/**
 * iF.SVNAdmin
 * Copyright (c) 2010 by Manuel Freiholz
 * http://www.insanefactory.com/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2
 * of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.
 */
if( !defined('ACTION_HANDLING') ) {
  die("HaHa!");
}

// Check module.
$appEngine->forwardInvalidModule( !$appEngine->isGroupEditActive() );


$selected = get_request_var('selected_groups');
if($selected == NULL)
{
  $appTemplate->addDefine("WARNING");
  $appTemplate->addReplacement("WARNINGMSG",$appTR->tr("You have to select at least one group."));
}
else
{
  // Iterate all selected users and delete them.
  $failed = array();
  for($i=0; $i<count($selected); $i++)
  {
    $u = new \svnadmin\core\entities\Group;
    $u->id = $selected[$i];
    $u->name = $selected[$i];

    $b = $appEngine->deleteGroup($u);
    if(!$b)
    {
      array_push($failed,$u->name);
    }
  }
  
  if(empty($failed_users))
  {
    $appTemplate->addDefine("INFO");
    $appTemplate->addReplacement("INFOMSG",$appTR->tr("Done"));
  }
  else
  {
    $appTemplate->addDefine("ERROR");
    $appTemplate->addReplacement("ERRORMSG",$appTR->tr("The following group(s) could not been deleted").": " . join(",",$failed));
  }
}
?>